summaryrefslogtreecommitdiffstats
path: root/meta/install
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2011-09-06 21:22:54 +0200
committermakefu <github@syntax-fehler.de>2011-09-06 21:22:54 +0200
commit93fc9d2eb6bd59858453f20ad23bd241b4ebab29 (patch)
tree34a33e7d00f289d7bed0a518cf4215601f46e8bf /meta/install
parentc5b5d61f276a5ac4d2243db48e7e8afc5323679d (diff)
parent229b805732cc34c30bb287aa750fbd14df94cc81 (diff)
Merge branch 'master' of github.com:krebscode/painload
Diffstat (limited to 'meta/install')
-rwxr-xr-xmeta/install25
1 files changed, 25 insertions, 0 deletions
diff --git a/meta/install b/meta/install
new file mode 100755
index 00000000..07096b34
--- /dev/null
+++ b/meta/install
@@ -0,0 +1,25 @@
+#! /bin/sh
+set -euf
+
+cd $(dirname $(readlink -f $0))
+
+id=`ls -ld . | awk '{print$3}'`
+update=$PWD/bin/update
+
+echo "#"
+echo "# to install metastatic automatization facility do following:"
+echo "#"
+echo
+echo " ln -vsn $update /update"
+echo
+if test -e /update; then
+ echo "# but beware: you already have an /update like this:"
+ ls -l /update
+fi
+echo "# then check if you can execute following with your current user:"
+echo
+echo " /update"
+echo
+echo "# if not then add that user to your sudoers... maybe something"
+echo "# like this could work: `id -un` ALL=($id) NOPASSWD:/update"
+echo "#^D"